<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: ロケール</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>ロケール<br/>
<small>
[<a class="el" href="group__m17nShell.html">シェル API</a>]</small>
</h1>
<p>ロケールオブジェクトとそれに関する API.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>型定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><code>MLocale</code> 構造体.  <a href="#ga093de48d154ac3fc793b31ddf14c4650"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga11c3037d07d612838b2073fc2ef13d3d">mlocale_set</a> (int category, const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">現在のロケールを設定する.  <a href="#ga11c3037d07d612838b2073fc2ef13d3d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga2f10f651f59e1cca05e5cb6f741eac24">mlocale_get_prop</a> (<a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *locale, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ロケールプロパティの値を得る.  <a href="#ga2f10f651f59e1cca05e5cb6f741eac24"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga996b37804f9c0635b0c7a5267102bf74">mtext_ftime</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, const char *format, const struct tm *tm, <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *locale)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">日付と時間をフォーマットする.  <a href="#ga996b37804f9c0635b0c7a5267102bf74"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga3daa62fc37282274b63c19130323919c">mtext_getenv</a> (const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">環境変数を得る.  <a href="#ga3daa62fc37282274b63c19130323919c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga67b46fd8c4d0fb14789a80f61d263256">mtext_putenv</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">環境変数を変更／追加する.  <a href="#ga67b46fd8c4d0fb14789a80f61d263256"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga6c8b4437b6640c9fb49e7fedce865b68">mtext_coll</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">現在のロケールを用いて２つの M-text を比較する.  <a href="#ga6c8b4437b6640c9fb49e7fedce865b68"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga03ce6cc49a183ecc3ffc4724038c1d34">Mterritory</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#gafe9c95126eebbbb6b48b1671793ad6ba">Mmodifier</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nLocale.html#ga41ed940959ef93e6b2238bd0f9442954">Mcodeset</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>ロケールオブジェクトとそれに関する API. </p>
<p>m17n ライブラリはロケール関連情報を <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650" title="MLocale 構造体.">MLocale</a> 型のオブジェクトで表現する。 </p>
<hr/><h2>型定義</h2>
<a class="anchor" id="ga093de48d154ac3fc793b31ddf14c4650"></a><!-- doxytag: member="m17n.h::MLocale" ref="ga093de48d154ac3fc793b31ddf14c4650" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> <a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><code>MLocale</code> 構造体. </p>
<p><code>MLocale</code> 構造体は、ロケールの名前、言語、地域、モディファイア、コードセット、および対応するコード系に関する情報を保持するために用いられる。</p>
<p>この構造体の内容は実装に依存する。 内部構造はアプリケーションプログラムからは見えない。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nLocale.html#ga2f10f651f59e1cca05e5cb6f741eac24" title="ロケールプロパティの値を得る.">mlocale_get_prop()</a> </dd></dl>

</div>
</div>
<hr/><h2>関数</h2>
<a class="anchor" id="ga11c3037d07d612838b2073fc2ef13d3d"></a><!-- doxytag: member="locale.c::mlocale_set" ref="ga11c3037d07d612838b2073fc2ef13d3d" args="(int category, const char *name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a>* mlocale_set </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>category</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>現在のロケールを設定する. </p>
<p>関数 <a class="el" href="group__m17nLocale.html#ga11c3037d07d612838b2073fc2ef13d3d" title="現在のロケールを設定する.">mlocale_set()</a> は現在のロケールの一部を設定したり問い合わせたりする。ここで一部とは <b>category</b> で指定され、<code>setlocale()</code> の有効な第一引数となるものでなくてはならない。</p>
<p><b>locale</b> が NULL でなければ、指定した部分のロケールが<b>locale</b> に設定される。 <b>locale</b> がシステムにサポートされていなければ、設定は行われず、現在のロケールは変わらない。</p>
<p><b>locale</b> が NULL ならば、現在のロケールの指定した部分を問い合わせる。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd></dd></dl>
<p>呼び出しに成功すれば、mlocale_set() はロケールに対応する opaque ロケールオブジェクトを返す。ロケールの名前は関数 <a class="el" href="group__m17nLocale.html#ga2f10f651f59e1cca05e5cb6f741eac24" title="ロケールプロパティの値を得る.">mlocale_get_prop()</a> によって得ることができる。 そうでなければ NULL を返す。</p>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_LOCALE</code> </dd></dl>

</div>
</div>
<a class="anchor" id="ga2f10f651f59e1cca05e5cb6f741eac24"></a><!-- doxytag: member="locale.c::mlocale_get_prop" ref="ga2f10f651f59e1cca05e5cb6f741eac24" args="(MLocale *locale, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mlocale_get_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *&nbsp;</td>
          <td class="paramname"> <em>locale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ロケールプロパティの値を得る. </p>
<p>関数 <a class="el" href="group__m17nLocale.html#ga2f10f651f59e1cca05e5cb6f741eac24" title="ロケールプロパティの値を得る.">mlocale_get_prop()</a> は、ロケール <b>locale</b> の <b>key</b> プロパティの値を返す。 <b>key</b> は <a class="el" href="group__m17nCharacter.html#ga4848713c0a3c225f3600e10d9ae56631" title="名前を表わすキー.">Mname</a>, <a class="el" href="group__m17nMtext.html#ga32374f3750874ea0142af8dac831ab25">Mlanguage</a>, <a class="el" href="group__m17nLocale.html#ga03ce6cc49a183ecc3ffc4724038c1d34">Mterritory</a>, <a class="el" href="group__m17nLocale.html#ga41ed940959ef93e6b2238bd0f9442954">Mcodeset</a>, <a class="el" href="group__m17nLocale.html#gafe9c95126eebbbb6b48b1671793ad6ba">Mmodifier</a>, <a class="el" href="group__m17nConv.html#ga1b45516d687e484a023362d6d6f6089c" title="シンボル Mcoding.">Mcoding</a> のいずれかである。 </p>

</div>
</div>
<a class="anchor" id="ga996b37804f9c0635b0c7a5267102bf74"></a><!-- doxytag: member="locale.c::mtext_ftime" ref="ga996b37804f9c0635b0c7a5267102bf74" args="(MText *mt, const char *format, const struct tm *tm, MLocale *locale)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_ftime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const struct tm *&nbsp;</td>
          <td class="paramname"> <em>tm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nLocale.html#ga093de48d154ac3fc793b31ddf14c4650">MLocale</a> *&nbsp;</td>
          <td class="paramname"> <em>locale</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>日付と時間をフォーマットする. </p>
<p>関数 <a class="el" href="group__m17nLocale.html#ga996b37804f9c0635b0c7a5267102bf74" title="日付と時間をフォーマットする.">mtext_ftime()</a> は時刻データ (broken-down time) <b>tm</b> を<b>format</b> で指定された形式に清書し、結果をM-text <b>mt</b> に付加する。フォーマットは NULL でなければ ロケール <b>locale</b> に、または現在のロケール(LC_TIME) に従う。</p>
<p>引数 <b>tm</b> と <b>format</b> の意味は strftime() の場合と同じ。</p>
<dl class="user"><dt><b>参照:</b></dt><dd>strftime(). </dd></dl>

</div>
</div>
<a class="anchor" id="ga3daa62fc37282274b63c19130323919c"></a><!-- doxytag: member="locale.c::mtext_getenv" ref="ga3daa62fc37282274b63c19130323919c" args="(const char *name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* mtext_getenv </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>環境変数を得る. </p>
<p>関数 <a class="el" href="group__m17nLocale.html#ga3daa62fc37282274b63c19130323919c" title="環境変数を得る.">mtext_getenv()</a> は <b>name</b> で指される文字列と合致する文字列を環境変数のリスト中から探す。</p>
<p>見つかった場合には、その値を現在のロケール(LC_CTYPE) に従って M-text にデコードし、そのM-text を返す。</p>
<p>見つからなければ、NULL を返す。 </p>

</div>
</div>
<a class="anchor" id="ga67b46fd8c4d0fb14789a80f61d263256"></a><!-- doxytag: member="locale.c::mtext_putenv" ref="ga67b46fd8c4d0fb14789a80f61d263256" args="(MText *mt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_putenv </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>環境変数を変更／追加する. </p>
<p>関数 <a class="el" href="group__m17nLocale.html#ga67b46fd8c4d0fb14789a80f61d263256" title="環境変数を変更／追加する.">mtext_putenv()</a> は M-text <b>mt</b> に従って、環境変数の値を変更したり追加したりする。この関数は、現在のロケール (LC_CTYPE) に従って<b>mt</b> をエンコードし、それを引数として関数 <code>putenv</code> を呼ぶ。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は、成功した場合には 0 を、エラーが起これば -1 を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga6c8b4437b6640c9fb49e7fedce865b68"></a><!-- doxytag: member="locale.c::mtext_coll" ref="ga6c8b4437b6640c9fb49e7fedce865b68" args="(MText *mt1, MText *mt2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mtext_coll </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td>
          <td class="paramname"> <em>mt2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>現在のロケールを用いて２つの M-text を比較する. </p>
<p>関数 <a class="el" href="group__m17nLocale.html#ga6c8b4437b6640c9fb49e7fedce865b68" title="現在のロケールを用いて２つの M-text を比較する.">mtext_coll()</a> は２つの M-text <b>mt1</b> と <b>mt2</b> を比較する。戻り値は負の整数値, 0, 正の整数値のいずれかであり、それぞれ <b>mt1</b> が <b>mt2</b> より小さい、同じ、大きい場合に相当する。比較は現在のロケール (LC_COLLATE) に基づいて行われる。</p>
<p>この関数は M-text のテキストプロパティとして自動的にキャッシュされる情報を利用するので、２度目以降の同じ比較は１度目より速く実行される。 </p>

</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="ga03ce6cc49a183ecc3ffc4724038c1d34"></a><!-- doxytag: member="locale.c::Mterritory" ref="ga03ce6cc49a183ecc3ffc4724038c1d34" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nLocale.html#ga03ce6cc49a183ecc3ffc4724038c1d34">Mterritory</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>"territory" という名前を持つシンボル. </p>

</div>
</div>
<a class="anchor" id="gafe9c95126eebbbb6b48b1671793ad6ba"></a><!-- doxytag: member="locale.c::Mmodifier" ref="gafe9c95126eebbbb6b48b1671793ad6ba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nLocale.html#gafe9c95126eebbbb6b48b1671793ad6ba">Mmodifier</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>"modifier" という名前を持つシンボル. </p>

</div>
</div>
<a class="anchor" id="ga41ed940959ef93e6b2238bd0f9442954"></a><!-- doxytag: member="locale.c::Mcodeset" ref="ga41ed940959ef93e6b2238bd0f9442954" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nLocale.html#ga41ed940959ef93e6b2238bd0f9442954">Mcodeset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>"codeset" という名前を持つシンボル. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
